**Source URL:** https://limited.veevavault.dev/qualityone/vault-api/api-reference/26.2/qualityone-haccp/export-haccp-plan-translatable-fields.md

# Export HACCP Plan Translatable Fields



Use this endpoint to export translatable fields from a translation copy of a *HACCP Plan* record and its related transactional records.

Before submitting this request:

* Generate a translation copy of a *HACCP Plan* and ensure the copy has an associated *HACCP Translation Generation* record in the *Ready for Export* lifecycle state.

* You must have permission to view all translatable fields in the target *HACCP Plan*.

When triggered, Vault exports the following field types for translation:

* *Text*

* *Long Text*

* *Rich Text*

The API returns the `job_id`. Learn more about [translating HACCP Plans in Vault Help](https://qualityone.veevavault.help/en/lr/771989).

You must run [Retrieve HACCP Plan Translatable Fields](/vault-api/api-reference/26.2/qualityone-haccp/retrieve-haccp-plan-translatable-fields) after running this API in order to make the exported data available.

<Endpoint path="/api/{version}/app/qualityone/haccp_plan/{haccp_plan_record_id}/translatable_fields/actions/export" method="POST"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{haccp_plan_record_id}` | The *ID* field value for the *HACCP Plan* record you wish to translate. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -L -X POST -H "Authorization: {AUTH_VALUE}" \
-H "Accept: application/json" \
https://myvault.veevavault.com/api/v25.2/app/qualityone/haccp_plan/V7V00000000R001/translatable_fields/actions/export

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
    "responseStatus": "SUCCESS",
    "data": {
        "job_id": "392902"
    }
}

```
</CodeExample>

## Response Details {#response-details}

On `SUCCESS`, Vault returns a `job_id`. If the size of the translatable field data to export exceeds 250 MB, the request fails.



---

**Previous:** [QualityOne HACCP](/qualityone/vault-api/api-reference/26.2/qualityone-haccp)  
**Next:** [Retrieve HACCP Plan Translatable Fields](/qualityone/vault-api/api-reference/26.2/qualityone-haccp/retrieve-haccp-plan-translatable-fields)